Subject: wholesale botanical ingredients catalog

From: [email-masked] (Jim Dierking)
Date: 6 Jan 1995 22:15:51 GMT

Liberty Natural Products, Inc. distributes botanical ingredients 
to health food stores, health care practitioners, and natural product
manufacturers.  We have over 300 essential oils, attars, absolutes,
carrier oils etc.  We also have a wide selection of glassware,droppers,
pipettes etc. E-mail your name, and/or company name, type of business
or interest, address, phone, fax and we will send you a catalog.
E-mail [email-masked].